## kleopatra 16.04.2

=== doc/CMakeLists.txt ===
add_subdirectory(kleopatra)
add_subdirectory(kwatchgnupg)
