=== debian/changelog ===
kleopatra (4:16.04.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 05 Jul 2016 13:56:38 +0200

kleopatra (4:16.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jun 2016 08:55:24 +0200

kleopatra (4:16.04.0-1) experimental; urgency=medium

  * Initial release.
  * Add missing breaks/replaces

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 10:58:45 +0200
