=== debian/control ===
Source: kleopatra
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.17.0~),
               kdoctools-dev (>= 5.17.0~),
               libboost-dev (>= 1.34.0~),
               libgpgme11-dev,
               libkf5codecs-dev (>= 5.17.0~),
               libkf5config-dev (>= 5.17.0~),
               libkf5dbusaddons-dev (>= 5.17.0~),
               libkf5gpgmepp-dev (>= 5.1.41~),
               libkf5i18n-dev (>= 5.17.0~),
               libkf5iconthemes-dev (>= 5.17.0~),
               libkf5kcmutils-dev (>= 5.17.0~),
               libkf5libkleo-dev (>= 5.1.41~),
               libkf5mime-dev (>= 5.1.40~),
               libkf5notifications-dev (>= 5.17.0~),
               libkf5textwidgets-dev (>= 5.17.0~),
               libkf5windowsystem-dev (>= 5.17.0~),
               libkf5xmlgui-dev (>= 5.17.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://www.kde.org/applications/utilities/kleopatra/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kleopatra.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kleopatra.git

Package: kleopatra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-doc (<= 4:16.04)
Replaces: kdepim-doc (<= 4:16.04)
Description: Certificate Manager and Unified Crypto GUI
 Kleopatra is a certificate manager and a universal crypto GUI. It supports
 managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
 certificates from LDAP servers.
