## kleopatra 16.04.3

=== debian/changelog ===
kleopatra (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Maximiliano Curia ]
  ** SNAPSHOT build @2d7bf8962de493a444a25c10c9199be96eda6d9b **

  * Initial release.
  * UNRELEASED
  * UNRELEASED

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Sync with Debian for initial packaging
  * Update VCS fields to point to Launchpad git repo
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ José Manuel Santamaría Lema ]
  * Add lintian override for package-name-doesnt-match-sonames.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:47:15 +0200
