## kleopatra 17.04.3

=== debian/changelog ===
kleopatra (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:31:58 +0100

kleopatra (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Require GPGME 1.7.1 or greater to be used. 
  * Update Vcs-Git fields to use https:// instead of git://
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New libqgpgme build dep
  * Remove obsolete build dep on libkf5gpgmepp-dev
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:26:28 +0100
