=== debian/control ===
Source: kleopatra
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libboost-dev (>= 1.34.0~),
               libgpgmepp-dev (>= 1.7.1~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5libkleo-dev (>= 4:17.04.3~),
               libkf5mime-dev (>= 17.04.3~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://www.kde.org/applications/utilities/kleopatra/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra

Package: kleopatra
Architecture: any
Depends: gnupg2,
         gnupg-agent,
         dirmngr,
         gpgsm,
         pinentry-qt,
         paperkey,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: kdepim-doc (<= 4:16.04), ${kde-l10n:all}
Replaces: kdepim-doc (<= 4:16.04), ${kde-l10n:all}
Description: Certificate Manager and Unified Crypto GUI
 Kleopatra is a certificate manager and a universal crypto GUI. It supports
 managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
 certificates from LDAP servers.
