=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,9 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 include_directories(${CMAKE_CURRENT_SOURCE_DIR})
 
-add_subdirectory(kwatchgnupg)
+if (NOT DISABLE_KWATCHGNUPG)
+    add_subdirectory(kwatchgnupg)
+endif()
 add_subdirectory(libkleopatraclient)
 add_subdirectory(conf)
 add_subdirectory(kconf_update)
@@ -38,8 +40,10 @@
   )
 
 if(ASSUAN2_FOUND)
+  include_directories(${ASSUAN2_INCLUDES})
   set(_kleopatra_uiserver_extra_libs ${ASSUAN2_LIBRARIES})
 else()
+  include_directories(${ASSUAN_INCLUDES})
   if(WIN32)
     set(_kleopatra_uiserver_extra_libs ${ASSUAN_VANILLA_LIBRARIES})
   else()
@@ -57,11 +61,9 @@
 
 set(_kleopatra_SRCS
   utils/gnupg-helper.cpp
-  utils/filesystemwatcher.cpp
+  utils/gui-helper.cpp
   utils/filedialog.cpp
   utils/kdpipeiodevice.cpp
-  utils/kdlogtextwidget.cpp
-  utils/kdsignalblocker.cpp
   utils/headerview.cpp
   utils/scrollarea.cpp
   utils/dragqueen.cpp
@@ -72,10 +74,8 @@
   utils/path-helper.cpp
   utils/input.cpp
   utils/output.cpp
-  utils/formatting.cpp
   utils/validation.cpp
   utils/wsastarter.cpp
-  utils/classify.cpp
   utils/iodevicelogger.cpp
   utils/log.cpp
   utils/action_data.cpp
@@ -83,6 +83,7 @@
   utils/archivedefinition.cpp
   utils/auditlog.cpp
   utils/clipboardmenu.cpp
+  utils/kuniqueservice.cpp
 
   selftest/selftest.cpp
   selftest/enginecheck.cpp
@@ -92,16 +93,16 @@
 
   ${_kleopatra_extra_SRCS}
 
-  models/keycache.cpp
-  models/keylistmodel.cpp
-  models/keylistsortfilterproxymodel.cpp
-  models/subkeylistmodel.cpp
-  models/useridlistmodel.cpp
-
   view/keylistcontroller.cpp
   view/keytreeview.cpp
   view/searchbar.cpp
+  view/smartcardwidget.cpp
+  view/pgpcardwidget.cpp
+  view/netkeywidget.cpp
+  view/nullpinwidget.cpp
   view/tabwidget.cpp
+  view/keycacheoverlay.cpp
+  view/welcomewidget.cpp
 
   dialogs/certificateselectiondialog.cpp
   dialogs/expirydialog.cpp
@@ -111,10 +112,14 @@
   dialogs/certifycertificatedialog.cpp
   dialogs/exportsecretkeydialog.cpp
   dialogs/adduseriddialog.cpp
-  dialogs/certificatedetailsdialog.cpp
   dialogs/exportcertificatesdialog.cpp
   dialogs/deletecertificatesdialog.cpp
   dialogs/setinitialpindialog.cpp
+  dialogs/certificatedetailswidget.cpp
+  dialogs/trustchainwidget.cpp
+  dialogs/subkeyswidget.cpp
+  dialogs/gencardkeydialog.cpp
+  dialogs/updatenotification.cpp
 
   crypto/controller.cpp
   crypto/certificateresolver.cpp
@@ -125,6 +130,7 @@
   crypto/decryptverifytask.cpp
   crypto/decryptverifyemailcontroller.cpp
   crypto/decryptverifyfilescontroller.cpp
+  crypto/autodecryptverifyfilescontroller.cpp
   crypto/encryptemailtask.cpp
   crypto/encryptemailcontroller.cpp
   crypto/newsignencryptemailcontroller.cpp
@@ -138,6 +144,8 @@
   crypto/gui/wizard.cpp
   crypto/gui/wizardpage.cpp
 
+  crypto/gui/certificateselectionline.cpp
+  crypto/gui/certificatelineedit.cpp
   crypto/gui/signingcertificateselectionwidget.cpp
   crypto/gui/signingcertificateselectiondialog.cpp
 
@@ -146,19 +154,20 @@
   crypto/gui/resultpage.cpp
 
   crypto/gui/newresultpage.cpp
-  crypto/gui/newsignencryptfileswizard.cpp
+  crypto/gui/signencryptfileswizard.cpp
 
   crypto/gui/signencryptemailconflictdialog.cpp
 
   crypto/gui/decryptverifyoperationwidget.cpp
   crypto/gui/decryptverifyfileswizard.cpp
+  crypto/gui/decryptverifyfilesdialog.cpp
 
   crypto/gui/objectspage.cpp
   crypto/gui/resolverecipientspage.cpp
   crypto/gui/signerresolvepage.cpp
   crypto/gui/encryptemailwizard.cpp
   crypto/gui/signemailwizard.cpp
-  crypto/gui/signencryptfileswizard.cpp
+  crypto/gui/signencryptwidget.cpp
   crypto/gui/signencryptwizard.cpp
 
   crypto/gui/verifychecksumsdialog.cpp
@@ -177,6 +186,7 @@
   commands/deletecertificatescommand.cpp
   commands/decryptverifyfilescommand.cpp
   commands/signencryptfilescommand.cpp
+  commands/signencryptfoldercommand.cpp
   commands/encryptclipboardcommand.cpp
   commands/signclipboardcommand.cpp
   commands/decryptverifyclipboardcommand.cpp
@@ -198,6 +208,10 @@
   commands/learncardkeyscommand.cpp
   commands/checksumcreatefilescommand.cpp
   commands/checksumverifyfilescommand.cpp
+  commands/exportpaperkeycommand.cpp
+  commands/importpaperkeycommand.cpp
+  commands/genrevokecommand.cpp
+  commands/keytocardcommand.cpp
 
   ${_kleopatra_uiserver_files}
 
@@ -207,6 +221,9 @@
   newcertificatewizard/newcertificatewizard.cpp
 
   smartcard/readerstatus.cpp
+  smartcard/card.cpp
+  smartcard/openpgpcard.cpp
+  smartcard/netkeycard.cpp
 
   aboutdata.cpp
   systrayicon.cpp
@@ -215,7 +232,13 @@
   main.cpp
 )
 
-ecm_qt_declare_logging_category(_kleopatra_SRCS HEADER kleopatra_debug.h IDENTIFIER KLEOPATRA_LOG CATEGORY_NAME log_kleopatra)
+if(HAVE_KCMUTILS)
+  set (_kleopatra_extra_libs KF5::KCMUtils)
+else()
+  set (_kleopatra_SRCS conf/kleopageconfigdialog.cpp ${_kleopatra_SRCS})
+endif()
+
+ecm_qt_declare_logging_category(_kleopatra_SRCS HEADER kleopatra_debug.h IDENTIFIER KLEOPATRA_LOG CATEGORY_NAME org.kde.pim.kleopatra)
 
 if(KLEO_MODEL_TEST)
   add_definitions(-DKLEO_MODEL_TEST)
@@ -231,8 +254,10 @@
   dialogs/selftestdialog.ui
   dialogs/exportsecretkeydialog.ui
   dialogs/adduseriddialog.ui
-  dialogs/certificatedetailsdialog.ui
   dialogs/setinitialpindialog.ui
+  dialogs/certificatedetailswidget.ui
+  dialogs/trustchainwidget.ui
+  dialogs/subkeyswidget.ui
   newcertificatewizard/listwidget.ui
   newcertificatewizard/chooseprotocolpage.ui
   newcertificatewizard/enterdetailspage.ui
@@ -258,17 +283,21 @@
 set_target_properties(kleopatra_bin PROPERTIES OUTPUT_NAME kleopatra)
 
 target_link_libraries(kleopatra_bin
+  Gpgmepp
+  QGpgme
   ${_kleopatra_extra_libs}
   KF5::Libkleo
   KF5::Mime
-  KF5::KCMUtils
   KF5::I18n
   KF5::XmlGui
   KF5::IconThemes
   KF5::WindowSystem
-  KF5::DBusAddons
+  KF5::CoreAddons
+  KF5::ItemModels
   Qt5::Network
+  Qt5::PrintSupport # Printing secret keys
   ${_kleopatra_uiserver_extra_libs}
+  ${_kleopatra_dbusaddons_libs}
   kleopatraclientcore
 )
