=== debian/changelog ===
kleopatra (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:27:59 +0000

kleopatra (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * Skip testsuite as all tests are broken on KDE CI.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 03 Mar 2018 01:02:30 +0000

kleopatra (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:44:56 +0000

kleopatra (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:06:48 +0000
