=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemmodels-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5libkleo-dev (>= 4:17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
+               libkf5libkleo-dev (>= 4:17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
                libkf5notifications-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
