=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11

# Tests: acc
# Depends: @,
#          dh-acc, exuberant-ctags
# Restrictions: allow-stderr
