## kleopatra 18.04.0

=== debian/changelog ===
kleopatra (4:18.04.0-201805030828intevation2) bionic; urgency=medium

  * Add patches for improved NetKey card handling:
        5cd023e11e1bd578f2a42d386b944b0f70c247c1
        99f03add3ed09d3729667335021355a9bc6670f6
        0f1576aca7d4bfde2cfc7f68adf788de5479a293

 -- Andre Heinecke <aheinecke@intevation.de>  Mon, 02 Jul 2018 12:58:28 +0200

kleopatra (4:18.04.0-201805030828intevation1) bionic; urgency=medium

  * Update to 18.04 as released in Gpg4win 3.1.1.

 -- Andre Heinecke <aheinecke@intevation.de>  Fri, 04 May 2018 12:20:45 +0200
