=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
+               libkf5crash-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
@@ -35,8 +36,10 @@
          gnupg-agent,
          dirmngr,
          gpgsm,
+	 scdaemon,
          pinentry-qt,
          paperkey,
+	 libkf5libkleo-data, 
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: kdepim-doc (<= 4:16.04), ${kde-l10n:all}
