=== debian/control ===
--- 
+++ 
@@ -16,15 +16,14 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemmodels-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
-               libkf5libkleo-dev (>= 4:17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
+               libkf5libkleo-dev (>= 4:18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
                libkf5notifications-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
-               libkf5crash-dev (>= 5.31.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://www.kde.org/applications/utilities/kleopatra/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra
@@ -36,10 +35,8 @@
          gnupg-agent,
          dirmngr,
          gpgsm,
-	 scdaemon,
          pinentry-qt,
          paperkey,
-	 libkf5libkleo-data, 
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: kdepim-doc (<= 4:16.04), ${kde-l10n:all}
