## kleopatra 18.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
-set(kleopatra_version 3.0.1)
+set(kleopatra_version 3.1.2)
+# The following is for Windows. Keep in line with kleopatra_version.
+set(kleopatra_fileversion 3,1,2,0)
 cmake_minimum_required(VERSION 3.0)
 project(kleopatra VERSION ${kleopatra_version})
 # Add version suffix for internal usage of the version string
@@ -9,10 +11,10 @@
 option(DISABLE_KWATCHGNUPG "Don't build the kwatchgnupg tool [default=OFF]" OFF)
 
 # Standalone build. Find / include everything necessary.
-set(KF5_VERSION "5.39.0")
-set(KMIME_VERSION "5.7.3")
-set(LIBKLEO_VERSION "5.7.3")
-set(QT_REQUIRED_VERSION "5.8.0")
+set(KF5_VERSION "5.47.0")
+set(KMIME_VERSION "5.9.3")
+set(LIBKLEO_VERSION "5.9.3")
+set(QT_REQUIRED_VERSION "5.9.0")
 set(GPGME_REQUIRED_VERSION "1.8.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
@@ -52,6 +54,7 @@
 find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5WindowSystem ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5DocTools ${KF5_VERSION} CONFIG)
+find_package(KF5Crash ${KF5_VERSION} REQUIRED)
 
 set_package_properties(KF5DocTools PROPERTIES DESCRIPTION "Documentation tools" TYPE OPTIONAL PURPOSE "Required to generate Kleopatra documentation.")
