=== debian/control ===
Source: kleopatra
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               dbus,
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libboost-dev (>= 1.34.0~),
               libgpgme-dev | libgpgme11-dev,
               libgpgmepp-dev (>= 1.8.0~) | libqgpgme7-dev,
               libkf5codecs-dev (>= 5.47.0~),
               libkf5config-dev (>= 5.47.0~),
               libkf5configwidgets-dev (>= 5.47.0~),
               libkf5coreaddons-dev (>= 5.47.0~),
               libkf5crash-dev (>= 5.47.0~),
               libkf5dbusaddons-dev (>= 5.47.0~),
               libkf5doctools-dev (>= 5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5iconthemes-dev (>= 5.47.0~),
               libkf5itemmodels-dev (>= 5.47.0~),
               libkf5kcmutils-dev (>= 5.47.0~),
               libkf5libkleo-dev (>= 4:18.08.3~),
               libkf5mime-dev (>= 18.08.3~),
               libkf5notifications-dev (>= 5.47.0~),
               libkf5textwidgets-dev (>= 5.47.0~),
               libkf5widgetsaddons-dev (>= 5.47.0~),
               libkf5windowsystem-dev (>= 5.47.0~),
               libkf5xmlgui-dev (>= 5.47.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.3.0
Homepage: https://www.kde.org/applications/utilities/kleopatra/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kleopatra
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kleopatra.git

Package: kleopatra
Architecture: any
Depends: dirmngr,
         gnupg,
         gpgsm,
         paperkey,
         pinentry-qt,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kdepim-doc (<= 4:16.04), ${kde-l10n:all}
Replaces: kdepim-doc (<= 4:16.04), ${kde-l10n:all}
Description: Certificate Manager and Unified Crypto GUI
 Kleopatra is a certificate manager and a universal crypto GUI. It supports
 managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
 certificates from LDAP servers.
