=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-9~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_install:
	$(overridden_command)
	find debian/kleopatra -name '*.so' -type l -delete

override_dh_auto_test:
	- xvfb-run -a dbus-run-session -- dh_auto_test --no-parallel
